<apex:page controller="ChangeLogReportCtrl" contentType="txt/xml#Change_Log_Report_Details_{!Today()}.xls" cache="true">
    <apex:outputText value="{!xlsHeader}"/>
    <Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:o="urn:schemas-microsoft-com:office:office"
        xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet">
        <Styles>
            <Style ss:ID="s1">
                <Alignment/>
                <Borders/>
                <Font ss:Bold="1"/>
                <Interior/>
                <NumberFormat/>
                <Protection/>
            </Style>
            <Style ss:ID="RightAlign">
                <Alignment ss:Horizontal="Right"/>
            </Style>
        </Styles>
        <!--<Worksheet ss:Name="Change Header">
            <Table x:FullColumns="1" x:FullRows="1">
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="100"/>
                <Column ss:Width="150"/>
                <Column ss:Width="100"/>
                <Row>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Owner Project</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Change Order ID</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Change Order Name</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Description</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Originator</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Change Order Type</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Change Request ID</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Change Notice ID</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Decision Summary #</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Estimated Cost (Proj Curr)</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Task Internal ID</Data></Cell>
                </Row>
                and {!requests}
                <apex:repeat value="{!requests}" var="c">
                    <Row>
                        <Cell><Data ss:Type="String">{!c.Project_Area__r.Name}</Data></Cell>
                        <Cell><Data ss:Type="String">{!c.PCN_Number__c}</Data></Cell>
                        <Cell><Data ss:Type="String">{!c.Title__c}</Data></Cell>
                        <Cell><Data ss:Type="String">{!c.Justification__c}</Data></Cell>
                        <Cell><Data ss:Type="String">{!c.Initiator__r.Name}</Data></Cell>
                        <Cell><Data ss:Type="String">{!c.Change_Type__c}</Data></Cell>
                        <Cell><Data ss:Type="String">{!c.Contractor__c}</Data></Cell>
                        <Cell><Data ss:Type="String">
                            <apex:repeat value="{!c.Impact_Assessors__r}" var="ia" rows="1">
                                {!ia.Requested_By__c}
                            </apex:repeat>
                        </Data></Cell>
                        <Cell><Data ss:Type="String"></Data></Cell>
                        <Cell><Data ss:Type="String">
                            <apex:repeat value="{!c.Impact_Assessors__r}" var="il" rows="1">
                                <apex:outputText value="{0, number,###,###,##0.00}">
                                    <apex:param value="{!il.Cost_Impact__c}" /> 
                                </apex:outputText>
                            </apex:repeat>
                        </Data></Cell>
                        <Cell><Data ss:Type="String"></Data></Cell>
                    </Row>
                </apex:repeat>
            </Table>
        </Worksheet>-->
        <Worksheet ss:Name="Change Details">
            <Table x:FullColumns="1" x:FullRows="1">
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="90"/>
                <Column ss:Width="70"/>
                <Column ss:Width="150"/>
                <Column ss:Width="150"/>
                <Column ss:Width="40"/>
                <Column ss:Width="50"/>
                <Column ss:Width="150"/>
                <Column ss:Width="60"/>
                <Row>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">WBS Path</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Change Order Path</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Line Item Number</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Description</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">GL Account</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Currency</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Cost</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Hours</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">UOM</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Quantity</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Transaction Date</Data></Cell>
                    <Cell ss:StyleID="s1"><Data ss:Type="String">Comments</Data></Cell>
                </Row>
                <apex:repeat value="{!requests}" var="c">
                    <Row>
                        <Cell><Data ss:Type="String">{!c.Project_AFE__c}</Data></Cell>
                        <Cell><Data ss:Type="String">{!c.Project_AFE__c}-{!c.PCN_Number__c}</Data></Cell>
                        <Cell><Data ss:Type="String">{!c.Document_Number__c}</Data></Cell>
                        <Cell><Data ss:Type="String">{!c.Justification__c}</Data></Cell>
                        <Cell><Data ss:Type="String"></Data></Cell>
                        <Cell><Data ss:Type="String">CAD</Data></Cell>
                        <Cell ss:StyleID="RightAlign"><Data ss:Type="String">
                            <apex:repeat value="{!c.Impact_Assessors__r}" var="ic" rows="1">
                                <apex:outputText value="{0, number,###,###,##0.00}">
                                    <apex:param value="{!ic.Cost_Impact__c}" /> 
                                </apex:outputText>
                            </apex:repeat>
                        </Data></Cell>
                        <Cell><Data ss:Type="String">
                            <apex:repeat value="{!c.Impact_Assessors__r}" var="ir" rows="1">
                                {!ir.Change_Impact_Hours__c}
                            </apex:repeat>
                        </Data></Cell>
                        <Cell><Data ss:Type="String"></Data></Cell>
                        <Cell><Data ss:Type="String"></Data></Cell>
                        <Cell><Data ss:Type="String">
                            <apex:outputText value="{0,date,MM/dd/yyyy}">
                                <apex:param value="{!c.Project_Manager_Approval_Date__c}" /> 
                            </apex:outputText>
                        </Data></Cell>
                        <Cell><Data ss:Type="String"></Data></Cell>
                    </Row>
                </apex:repeat>
            </Table>
        </Worksheet>
    </Workbook>    
</apex:page>